#!/bin/sh
# ============
#  manyrun.sh
# ============
#
# (Function)
#   Reconstruct multiple data files 
# (Usage)
#   manyrun <maxevt>
# (Upadate Record)
#   2011/12/30   K.Fujii         Original version.
#
#--
#  Check arguments.
#--
if [ $# -ge 2 ]; then
      echo "Usage:"
      echo "  ./manyrun_digi <maxevt>"
      echo " where <maxevt> is the maximum number of events to simulate"
      echo " per run with its default value being 20000."
      exit 0
#--
# Set maximum number of events to reconstruct per run
#--
elif [ $# -eq 1 ]; then
      echo "maxevt is set to $1"
      maxevt=$1
else
      maxevt=20000
fi
echo "Going to simulate $maxevt events per run"
#--
# Loop over runs
#--
#for run in 17331 17352; do
#for run in 17331; do
#for run in 17319; do
#for run in 17319 17367 17324 17364 17327 17359 17375 17356 17340 17352; do
#
#for run in 19987 19985 19984 19983 19982 19981 19980 19979 19978 19977 19976 19975 19974 19973 19972; do # w/ gate
for run in 19978; do
	echo ".............................."
	echo "Start analyzing run" $run "..."
	sed -e "s;RUNNO;$run;" -e "s;MAXEVT;$maxevt;" Digitisation_TEMPLATE.xml > r$run.digi.xml

	Marlin r$run.digi.xml >& r$run.digi.log &
done
wait
#--
# That's it, folks!
#--
exit 0
