#!/bin/sh
# ============
#  manyrun.sh
# ============
#
# (Function)
#   Reconstruct multiple data files 
# (Usage)
#   manyrun <maxevt>
# (Upadate Record)
#   2011/12/30   K.Fujii         Original version.
#
#--
#  Check arguments.
#--
if [ $# -ge 2 ]; then
      echo "Usage:"
      echo "  ./manyrun_merge <maxevt>"
      echo " where <maxevt> is the maximum number of events to merge"
      echo " per run with its default value being 20000."
      exit 0
#--
# Set maximum number of events to reconstruct per run
#--
elif [ $# -eq 1 ]; then
      echo "maxevt is set to $1"
      maxevt=$1
else
      maxevt=20000
fi
echo "Going to merge $maxevt events per run"
#--
# Loop over runs
#--
#for run in 19987 19985 19984 19983 19982 19981 19980 19979 19978 19977 19976 19975 19974 19973 19972; do # w/ gate
for run in 19978; do
	echo ".............................."
	echo "Start merging run" $run "..."
	sed -e "s;RUNNO;$run;" -e "s;MAXEVT;$maxevt;" Reconstruction_merge_TEMPLATE.xml > r$run.merge.xml

	Marlin r$run.merge.xml >& r$run.merge.log &
done
wait
#--
# That's it, folks!
#--
exit 0
