#ifndef MERGER_H
#define MERGER_H
#include "lcio.h"
#include <map>

namespace EVENT{
  class LCCollection ;
}

namespace eventmerger {

  /**Basic utility to merge two events or collections. So far only 
   * simulation collections are supported.
   * 
   * @author N. Chiapolini, DESY
   * @version $Id: Merger.h 848 2012-09-11 09:12:03Z gaede $
   */
  class Merger {
    
  public:
    /** merge function, takes two collections and addes the elements
     * from both sources and outputs the resulte to out
     * Types merged:
     *  - TrackerRawData
     * 
     * @param src1p
     * @param src2p
     * @param out
     */
    static void merge(EVENT::LCCollection* src1p, EVENT::LCCollection* src2p, EVENT::LCCollection* outp);
    static void fillADC(EVENT::LCCollection* col, std::map<long long, std::vector<short int> *> &ADCMap);

  }; // class

} // namespace 
#endif
