#ifndef REFINEDTRACK_H
#define REFINEDTRACK_H

#include "IMPL/TrackImpl.h"

// include what you need from std
#include <map>
#include <tuple>

namespace EVENT {
	class TrackerHit;
}

namespace IMPL {
	class TrackerHitImpl;
}

	class TKalTrack;

namespace marlintpc {

	class RefinedTrack : public IMPL::TrackImpl {
		public:
			RefinedTrack();

			RefinedTrack(const IMPL::TrackImpl 					      *trkp,
	                             const std::map<const EVENT::TrackerHit *, IMPL::TrackerHitImpl*> &theInputHitToOutputHitMap);

			EVENT::TrackerHitVec & trackerHits() { return _hits; }

			EVENT::Track *getOriginalTrackPtr () { return _originalPtr; }
			void modify(TKalTrack *kaltrkp);

		private:
			IMPL::TrackImpl *_originalPtr{nullptr}; // pointer to original track b4 refinement
	};
}
#endif
